<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Language file.
 *
 * @package   theme_rebel
 * @copyright 2020 Chris Kenniburg
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

// This line protects the file from being accessed by a URL directly.
defined('MOODLE_INTERNAL') || die();

// The name of the second tab in the theme settings.
$string['advancedsettings'] = 'Colors';
$string['courseadminmenusettings'] = 'Navigation Menu Settings';
$string['loginsettings'] = 'Login Settings';
$string['brandingsettings'] = 'Branding Settings';

$string['courseadmininfo'] = 'Teacher Course Management Links';
$string['courseadminreportinfo'] = 'Teacher Course Management Report Links';
$string['courseadmininfo_desc'] = 'Determine which links you would like to display to teachers in the Course Management navigation drawer.';
$string['headermenuinfo'] = 'Header Menu Items';
$string['headermenuinfo_desc'] = 'Determine which links you would like to display in the header area.';
$string['customlogininfo'] = 'Enhance the Login Page';
$string['customlogininfo_desc'] = 'Use the options below to enhance the login page for Rebel.';
$string['brandinginfo'] = 'Branding Options';
$string['brandinginfo_desc'] = 'Use the options below to provide branding for your site.';
// Misc strings
$string['nomycourses'] = 'You are not enrolled in any courses.';


// Privacy.
$string['privacy:metadata'] = 'The Rebel theme does not store any individual user data.';

// The backgrounds tab name.
$string['backgrounds'] = 'Backgrounds';
// The brand colour setting.
$string['brandcolor'] = 'Brand colour';
// The brand colour setting description.
$string['brandcolor_desc'] = 'The accent colour.';
// A description shown in the admin theme selector.
$string['choosereadme'] = 'Theme rebel is a child theme of Boost. It adds the ability to upload background rebel.';
// Name of the settings pages.
$string['configtitle'] = 'Rebel Theme';
// Show Header Images toggle.
$string['showheaderimages'] = 'Show Header Images';
$string['showheaderimages_desc'] = 'Allow Rebel to use custom images for the header area. You may still set a Course Tile image below but it will not be used as a header image within a course. This setting turns off using header images completely.';
// Show Header Overlay textures.
$string['headeroverlay'] = 'Header Texture';
$string['headeroverlay_desc'] = 'You can choose to change the header background texture.  We download transparent background images from here: <a href="https://www.transparenttextures.com/">https://www.transparenttextures.com/</a> ';
$string['footeroverlay'] = 'Footer Texture';
$string['footeroverlay_desc'] = 'You can choose to change the footer background texture.  We download transparent background images from here: <a href="https://www.transparenttextures.com/">https://www.transparenttextures.com/</a> ';
// Background image for coursetiles.
$string['coursetilebg'] = 'Default Course Image';
$string['coursetilebg_desc'] = 'This is the default image for course tiles on the Dashboard and the default header image for all courses where a teacher has not uploaded an image into Course Settings.  Even with Header Images turned off you can use an image here to be the default Dashboard Course Tile image.  ';
// Background image for dashboard page.
$string['dashboardbackgroundimage'] = 'Dashboard page background image';
// Background image for dashboard page.
$string['dashboardbackgroundimage_desc'] = 'An image that will be stretched to fill the background of the dashboard page.';
// Background image for default page.
$string['defaultbackgroundimage'] = 'Site Page Header Image';
// Background image for default page.
$string['defaultbackgroundimage_desc'] = 'This image is used in the header area for all of the main Moodle pages: Dashboard, Profile, Site Home, all pages besides course pages.';
// Background image for front page.
$string['frontpagebackgroundimage'] = 'Front page background image';
// Background image for front page.
$string['frontpagebackgroundimage_desc'] = 'An image that will be stretched to fill the background of the front page.';
// Name of the first settings tab.
$string['generalsettings'] = 'General settings';
// Background image for incourse page.
$string['incoursebackgroundimage'] = 'Course page background image';
// Background image for incourse page.
$string['incoursebackgroundimage_desc'] = 'An image that will be stretched to fill the background of course pages.';
// Background image for login page.
$string['loginbackgroundimage'] = 'Login page background image';
// Background image for login page.
$string['loginbackgroundimage_desc'] = 'An image that will be stretched to fill the background of the login page.';
// The name of our plugin.
$string['pluginname'] = 'Rebel';
// Preset files setting.
$string['presetfiles'] = 'Additional theme preset files';
// Preset files help text.
$string['presetfiles_desc'] = 'Preset files can be used to dramatically alter the appearance of the theme. See <a href=https://docs.moodle.org/dev/Boost_Presets>Boost presets</a> for information on creating and sharing your own preset files. Rebel requires certain SCSS Preset variables.  You can view the Rebel theme presets here: <a href=https://github.com/dbnschools/moodle-theme_rebel/tree/master/scss/preset target=_blank>Rebel Github Presets repository</a>. ';
// Preset setting.
$string['preset'] = 'Theme preset';
// Preset help text.
$string['preset_desc'] = 'Pick a preset to broadly change the look of the theme.';
// Raw SCSS setting.
$string['rawscss'] = 'Raw SCSS';
// Raw SCSS setting help text.
$string['rawscss_desc'] = 'Use this field to provide SCSS or CSS code which will be injected at the end of the style sheet.';
// Raw initial SCSS setting.
$string['rawscsspre'] = 'Raw initial SCSS';
// Raw initial SCSS setting help text.
$string['rawscsspre_desc'] = '// Top Navbar area</br>
$navbar-bg: #e3eaf5 ;</br>
$navbartextcolor: #333;</br>

// Top Header area</br>
$header-bg: #eef5f9;</br>
$headerimageheight: 650px;</br>
$headerlinks-bg: #e3eaf5;</br>
$headerlinks-link: $black;</br>

// Breadcrumbs in Rebel</br>
$breadcrumbblock: #607d8b;</br>
$breadcrumbblock-darken: #213561;</br>
$breadcrumbblock-highlight: #213561;</br>
$breadcrumbblock-highlight-darken: #607d8b;</br>
$breadcrumblinkcolor: $white;</br>
$breadcrumblinkcolor-hover: $white;</br>

//Sidebar icons menu</br>
$sidebar-bg: $body-bg;</br>
$sidebar-iconcolor: $white;</br>
$sidebar-ahover-bg: #1f77b2;</br>
$sidebar-aattention: #4caf50;</br>
$sidebar-borderright-color: $white;</br>

// Bottom Footer area</br>
$footer-bg: #e5ebef;</br>
$footerlinkcolor: #333;</br>
$footertextcolor: #333;</br>

//Used to style Easy Enrollment plugin</br>
$easyenrolltextcolor: $white;</br>
$easyenroll-bg: #4caf50;</br>

//Other Important Colors</br>
$card-bg: rgba(255, 255, 255, 0.98)!default;</br>
$body-bg: #213561;</br>
$primary:       #1968BE;</br>
$success:       $green;</br>
$info:          #4caf50;</br>
$warning:       $orange;</br>
$danger:        $red;</br>
$secondary:     $gray-400;</br>

// Tabs</br>
$nav-tabs-border-color:             $gray-300;</br>
$nav-tabs-link-hover-border-color:  $gray-200 $gray-200 $nav-tabs-border-color;</br>
$nav-tabs-link-active-color:        $gray-700;</br>
$nav-tabs-link-active-bg:           $gray-200;</br>
$nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg;';

// We need to include a lang string for each block region.
$string['region-side-pre'] = 'Right';

//Edit Button Text
$string['editon'] = 'Turn Edit On';
$string['editoff'] = 'Turn Edit Off';

// Easy Enrollment.
$string['easyenrol_title'] = 'Enrollment Form';
$string['easyenrol_btn'] = 'Enroll in a Course';
$string['easyenrol_blurp'] = 'Enter your course code below to enroll in new courses.  Your teacher provides a course code. ';

// Settings Pages
$string['courseadminlinktoggle'] = 'Show or hide this link in the Course Management navigation drawer.';
$string['courseheaderlinktoggle'] = 'Show or hide this link in the header area.';

// Courseadmin links
$string['courseadminmenutitle'] = 'Course Management';
$string['coursereportmenutitle'] = 'Course Reports';
$string['moreoptions'] = 'More Options...';

// Custom Login Page
$string['showcustomlogin'] = 'Use Custom Login Page';
$string['showcustomlogin_desc'] = 'Enable the features below to be displayed on the Moodle login page.';
$string['logintopimage'] = 'Login Page Image';
$string['logintopimage_desc'] = 'Upload an image that will be placed to the right of the login form.';
$string['featuretext'] = 'Featured Text Box';
$string['featuretext_desc'] = 'One of three featured textboxes that appear below the login form.';
$string['logintoptext'] = 'Top Textbox';
$string['logintoptext_desc'] = 'This is a full-width textbox that appears just below the image on the login page.';
$string['loginbottomtext'] = 'Bottom Textbox';
$string['loginbottomtext_desc'] = 'This is a full-width textbox that appears at the very bottom of the login page.';
$string['alert'] = 'Login Page Alert';
$string['alert_desc'] = 'Add a special alert on your homepage such as an emergency.';

//teacher and student dashboard slider
$string['userlinks'] = 'User Links';
$string['userlinks_desc'] = 'Manage your students';
$string['qbank'] = 'Question Bank';
$string['qbank_desc'] = 'Create and organize quiz questions';
$string['badges'] = 'Badges';
$string['badges_desc'] = 'Award your students';
$string['coursemanage'] = 'Course Settings';
$string['coursemanage_desc'] = 'Manage your entire course';
$string['coursemanagementbutton'] = 'Course Management';
$string['studentdashbutton'] = 'Course Dashboard';
$string['courseinfo'] = 'Course Description';
$string['coursestaff'] = 'Course Teachers';
$string['cmnotetitle'] = 'Course Dashboard';
$string['cmnotetitle_desc'] = 'Course Dashboard notes';
$string['myprogresstext'] = 'My Progress';
$string['myprogresspercentage'] = '% Complete';
$string['mygradestext'] = 'My Grades';

// Branding.
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Footnote content editor for main footer';
$string['brandorganization'] = 'Organization Name';
$string['brandorganizationdesc'] = 'Organization name to appear in the footer.';
$string['brandwebsite'] = 'Organization Website';
$string['brandwebsitedesc'] = 'Website address to appear in footer for organization.';
$string['brandphone'] = 'Organization Phone';
$string['brandphonedesc'] = 'Phone number to appear in footer.';
$string['brandemail'] = 'Organization Email';
$string['brandemaildesc'] = 'Email address for organization that appears in footer.';
$string['brandlogo'] = 'Brand Logo Image';
$string['brandlogo_desc'] = 'This image is displayed in the header area and footer area.  It should be a small sized logo.';

$string['cmnotestudent'] = 'Student Dashboard Message';
$string['cmnotestudent_desc'] = 'Provide a message for all students in the course management panel.';
$string['cmnoteteacher'] = 'Teacher Dashboard Message';
$string['cmnoteteacher_desc'] = 'Provide a message for all teachers in the course management panel.';

// Colors.
$string['color_desc'] = 'Choose a new background color for this variable.';
$string['header-bg'] = 'Header Background';
$string['footer-bg'] = 'Footer Background';
$string['navbar-bg'] = 'Top Navbar Background';
$string['headerlinks-bg'] = 'Headerlinks Navbar Background';
$string['sidebar-bg'] = 'Sidebar Background';

$string['loginiconbutton'] = 'Login to Site';
$string['dashboardiconbutton'] = 'Course Dashboard';
